import request from '/@/utils/request';

/**
 * @summary 获取所有厂商
 */
export const GetAllSupplier = async (req: any = request) => {
	return req({
		url: '/Assets/Supplier/GetAll@V1.0',
		method: 'GET',
	});
};

/**
 * @summary 添加一个厂商
 */
export const InsertASupplier = async (params, req: any = request) => {
	return req({
		url: '/Assets/Supplier/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 修改一个厂商记录
 */
export const UpdateASupplier = async (params, req: any = request) => {
	return req({
		url: '/Assets/Supplier/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一条厂商记录
 */
export const DeleteASupplier = async (params, req: any = request) => {
	return req({
		url: '/Assets/Supplier/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 修改厂商表格排序码
 */
export const UpdateSupplierSorter = async (params, req: any = request) => {
	return req({
		url: '/Assets/Supplier/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 检查是否已存在标签名称
 */
export const GetIsExistTagName = async (params, req: any = request) => {
	return req({
		url: '/Assets/Supplier/IsExistTagName@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 更新厂商的使用状态
 */
export const UpdateSupplierUseStatus = async (params, req: any = request) => {
	return req({
		url: '/Assets/Supplier/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
};
